Chromium Code Reviews
Help | Chromium Project | Sign in
(74)

Issue 11368010: Move aura shared and desktop classes to the views target. Note that the files don't actually move, … (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 8 months ago by Ben Goodger (Google)
Modified:
2 years, 8 months ago
CC:
chromium-reviews, tfarina, sadrul, ben+watch_chromium.org
Visibility:
Public.

Description

Move aura shared and desktop classes to the views target. Note that the files don't actually move, that'll come later. I'm just moving them from one target to another. http://crbug.com/158115 R=scottmg@chromium.org TBR=jam@chromium.org Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=165719 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=165740

Patch Set 1 #

Patch Set 2 : #

Total comments: 2

Patch Set 3 : #

Patch Set 4 : #

Patch Set 5 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+91 lines, -243 lines) Patch
M chrome/browser/ui/aura/chrome_browser_main_extra_parts_aura.cc View 1 2 3 4 2 chunks +2 lines, -0 lines 0 comments Download
M content/content_shell.gypi View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M content/shell/DEPS View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M content/shell/shell_aura.cc View 1 2 3 4 6 chunks +8 lines, -5 lines 0 comments Download
M content/shell/shell_stacking_client_ash.h View 1 2 3 4 2 chunks +4 lines, -2 lines 0 comments Download
M content/shell/shell_stacking_client_ash.cc View 1 2 3 4 2 chunks +2 lines, -2 lines 0 comments Download
M ui/aura/aura.gyp View 1 2 3 4 5 chunks +4 lines, -20 lines 0 comments Download
M ui/aura/bench/bench_main.cc View 1 2 3 4 2 chunks +2 lines, -2 lines 0 comments Download
M ui/aura/client/activation_change_observer.h View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
A + ui/aura/client/activation_change_observer.cc View 1 2 3 4 0 chunks +-1 lines, --1 lines 0 comments Download
A + ui/aura/client/default_capture_client.h View 1 2 3 4 0 chunks +-1 lines, --1 lines 0 comments Download
A + ui/aura/client/default_capture_client.cc View 1 2 3 4 0 chunks +-1 lines, --1 lines 0 comments Download
M ui/aura/demo/demo_main.cc View 1 2 3 4 3 chunks +3 lines, -4 lines 0 comments Download
M ui/aura/desktop/desktop_activation_client.h View 1 2 3 4 2 chunks +4 lines, -4 lines 0 comments Download
M ui/aura/desktop/desktop_cursor_client.h View 1 2 3 4 2 chunks +2 lines, -2 lines 0 comments Download
M ui/aura/desktop/desktop_dispatcher_client.h View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
M ui/aura/desktop/desktop_screen.h View 1 2 3 4 2 chunks +2 lines, -2 lines 0 comments Download
M ui/aura/desktop/desktop_screen_win.h View 1 2 3 4 1 chunk +2 lines, -2 lines 0 comments Download
M ui/aura/desktop/desktop_stacking_client.h View 1 2 3 4 2 chunks +5 lines, -5 lines 0 comments Download
M ui/aura/desktop/desktop_stacking_client.cc View 1 2 3 4 2 chunks +2 lines, -2 lines 0 comments Download
M ui/aura/shared/compound_event_filter.h View 1 2 3 4 2 chunks +2 lines, -2 lines 0 comments Download
M ui/aura/shared/compound_event_filter_unittest.cc View 1 2 3 4 1 chunk +0 lines, -1 line 0 comments Download
M ui/aura/shared/input_method_event_filter.h View 1 2 3 4 2 chunks +2 lines, -2 lines 0 comments Download
D ui/aura/shared/root_window_capture_client.h View 1 2 3 4 1 chunk +0 lines, -38 lines 0 comments Download
D ui/aura/shared/root_window_capture_client.cc View 1 2 3 4 1 chunk +0 lines, -56 lines 0 comments Download
M ui/aura/test/aura_test_helper.h View 1 2 3 4 2 chunks +3 lines, -3 lines 0 comments Download
M ui/aura/test/aura_test_helper.cc View 1 2 3 4 3 chunks +3 lines, -4 lines 0 comments Download
A + ui/views/corewm/DEPS View 1 2 3 4 0 chunks +-1 lines, --1 lines 0 comments Download
A + ui/views/corewm/README.chromium View 1 2 3 4 0 chunks +-1 lines, --1 lines 0 comments Download
M ui/views/views.gyp View 1 2 3 4 7 chunks +30 lines, -4 lines 0 comments Download
A + ui/views/widget/desktop_aura/README.chromium View 1 2 3 4 0 chunks +-1 lines, --1 lines 0 comments Download
D ui/views/widget/desktop_capture_client.h View 1 2 3 4 1 chunk +0 lines, -33 lines 0 comments Download
D ui/views/widget/desktop_capture_client.cc View 1 2 3 4 1 chunk +0 lines, -44 lines 0 comments Download
M ui/views/widget/desktop_root_window_host_linux.h View 1 2 3 4 3 chunks +2 lines, -2 lines 0 comments Download
M ui/views/widget/desktop_root_window_host_linux.cc View 1 2 3 4 3 chunks +2 lines, -2 lines 0 comments Download
M ui/views/widget/desktop_root_window_host_win.h View 1 2 3 4 3 chunks +2 lines, -2 lines 0 comments Download
M ui/views/widget/desktop_root_window_host_win.cc View 1 2 3 4 3 chunks +2 lines, -2 lines 0 comments Download
Trybot results:
Commit: CQ not working?

Messages

Total messages: 5 (0 generated)
Ben Goodger (Google)
2 years, 8 months ago (2012-10-31 17:56:16 UTC) #1
scottmg (ooo jul1 to aug6)
lgtm http://codereview.chromium.org/11368010/diff/10001/ui/views/views.gyp File ui/views/views.gyp (right): http://codereview.chromium.org/11368010/diff/10001/ui/views/views.gyp#newcode464 ui/views/views.gyp:464: ['exclude', '../aura/desktop/*'], sources/ is a regex, so either ...
2 years, 8 months ago (2012-10-31 18:01:05 UTC) #2
Ben Goodger (Google)
Done. Also updated demo_main.cc to include its own capture client instead of using one of ...
2 years, 8 months ago (2012-10-31 18:14:47 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/ben@chromium.org/11368010/13022
2 years, 8 months ago (2012-11-01 23:18:41 UTC) #4
commit-bot: I haz the power
2 years, 8 months ago (2012-11-02 02:44:58 UTC) #5
Sorry for I got bad news for ya.
Compile failed with a clobber build on linux_chromeos.
http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=linux_chro...
Your code is likely broken or HEAD is junk. Please ensure your
code is not broken then alert the build sheriffs.
Look at the try server FAQ for more details.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 1f9106d